# Enamine_credentials.py - script functions developed for integration with Enamine server
# Use of this code is subject to the terms of the StarDrop License Agreement and use, copying or redistribution of
# this file for use by other persons or organisations is prohibited
# Copyright(C) Optibrium Ltd 2019
# stardrop-support@optibrium.com
#
"""
Module handles user access credentials to the Enamine server.
"""


class CredentialsManager():
    """Class to store credentials."""

    def __init__(self, username, password, configured):
        """Create a CredentialsManager. Throws ValueError if user and password not specified.
        @param: user: The Enamine user name.
        @param: password: The Enamine password.
        @param: configured: Whether the login credential have been set.
        """
        if username == "" or password == "":
            raise ValueError("User and password must be completed")
            warning_dlg = PythonQt.Warning()
            warning_dlg.setMessage(
                "User and password must be completed")
            warning_dlg.run()
            warning_dlg.delete()

        self._username = username
        self._password = password
        self.configured = True

    def getUser(self):
        """Get the user name.
        @return: User name
        """
        return self._username

    def getPassword(self):
        """Get the password.
        @return: Password
        """
        return self._password

    def clear(self):
        # type: () -> object
        """Clear the current credentials after a login failure."""
        self.configured = False